0
Answered

SQLLIte

Ягайло Ягеллонович 3 days ago • updated by Lazlo Bonin (Lead Developer) 16 hours ago 10

How to use the database SQLLite, if the file SQLLite3 conflicts with an existing file in the Assembler folder?

Bolt Version:
Unity Version:
.NET Version:
BAD, I'M UNSATISFIED
Satisfaction mark by Ягайло Ягеллонович 22 hours ago

Be careful - buying this system for 70 dollars will always deprive yourself of the opportunity to use databases!

Answered

Hi,

If you have another version of sqllite3.dll anywhere in your project folder, you can also use this one instead of the packaged version that comes with Bolt. As long as you don't have 2 versions in the project, everything should work properly. We package the latest available version as of late 2018.

because of this asset, you cannot use SqlDataReader and will use databases.

It is time to return my 70 dollars to me.

Hi again,

As always, I would be glad to help you fix your issue, but since you frequently insist on getting a refund instead, please email support@ludiq.io with your invoice number and we'll get you sorted out. Sorry Bolt could not suit your needs, best of luck with your projects!

I managed to solve this problem in a different way. Method If your BOLT does not create problems by the end of the week, I will not demand a refund.

In the meantime, the following commands do not work for me (in the picture).

  Do you think that you can make a serious project without using "sql" databases ?!



Hi,

Please provide the stack trace of the error linked to this. The red underline does not give us much information to help you. My guess would be that you have another version of the SQLite .NET wrapper in your project, and therefore the calls are ambiguous. Delete either set of versions from your project and it will compile.

when building the project error:

No namespace ludiq.depenсites.sqlite found.

In the editor, the project starts and there are no errors

Hi,

I see. You are using Ludiq.Dependencies.SQLite to run your own game-code SQLite integration. This does not work, because Ludiq.Dependencies.SQLite is only available while in the editor. 

You should use your own SQLite C# wrapper (not the one provided in Bolt) to code with SQLite. The one we use is this one, which you can also import in your own project (copy use this file only)­.

Good. I downloaded this file and have more compilation errors in it than there are stars in the sky. Have you EXACTLY forgot anything to say?

Hi,

Please stay respectful, I am being courteous and trying to help. This will be your last warning.

With regards to the issue, as always, I need stack traces, errors or logs to be able to help. I cannot guess what is happening in your project or how to fix it without any information.